<?php
/**
 * Barron Filter Hook
 *
 * @category   WordPress_Plugin
 * @package    Common
 * @subpackage Hooks
 * @author     miniOrange <info@miniorange.com>
 * @license    MIT/Expat
 * @link       https://plugins.miniorange.com/woocommerce-api-product-sync-with-woocommerce-rest-apis
 */

namespace MOWCPS\Common\Hooks;

use MOWCPS\Common\Constants\Plugin_Filters;
use MOWCPS\Common\Interfaces\Hookable_Interface;
use MOWCPS\Common\Suppliers\Barron as Barron_Supplier;

if ( ! defined( 'ABSPATH' ) ) {
	die;
}

/**
 * Class Barron
 *
 * Handles Barron filter hook registration
 */
class Barron implements Hookable_Interface {

	/**
	 * Initialize the Barron filter hooks.
	 */
	public function __construct() {
		$this->register_hooks();
	}

	/**
	 * Register WordPress hooks.
	 *
	 * @return void
	 */
	public function register_hooks() {
		add_filter( Plugin_Filters::FILTER_API_CALL_ALTERATION_FILTER, array( Barron_Supplier::class, 'transform_product_data' ), 10, 1 );
	}
}
